Get all service requests with references

get

/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/internalServiceRequests/$views/references

Get all service requests with references

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view references for resource Internal Service Requests
Body ()
Root Schema : internalServiceRequests_view-references
Match All
Get all service requests with references
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : internalServiceRequests_view-references-allOf[1]
Type: object
Get all service requests with references
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : closedDate
Match All
Show Source
Nested Schema : createdBy
Match All
Show Source
  • Read Only: true
    Maximum Length: 64
  • Title: Source System Help Desk Request Created By
    The Help Desk user who created the record.
Nested Schema : criticalFlag
Match All
Show Source
  • Default Value: false
  • Title: Critical
    Indicates whether the help desk request is critical. If critical, the value is Y, else the value is N.
Nested Schema : lastReopenDate
Match All
Show Source
Nested Schema : lastResolvedDate
Match All
Show Source
Nested Schema : openDate
Match All
Show Source
Nested Schema : problemDescription
Match All
Show Source
  • Maximum Length: 1000
  • Title: Problem Description
    The help desk request's problem description or statement and the steps to reproduce the issue.
Nested Schema : references
Match All
Show Source
Nested Schema : resolveDescription
Match All
Show Source
Nested Schema : srId
Match All
Show Source
Nested Schema : statusTypeCd
Match All
Show Source
Nested Schema : timeCreated
Match All
Show Source
Nested Schema : timeUpdated
Match All
Show Source
  • Read Only: true
  • Title: Last Updated Date
    The date and time when the help desk request was last updated.
Nested Schema : title
Match All
Show Source
  • Maximum Length: 400
  • Title: Title
    The brief title of the help desk request.
Nested Schema : updatedBy
Match All
Show Source
Nested Schema : references-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : objectType
Match All
Show Source
Nested Schema : relationType
Match All
Show Source
Nested Schema : resolution
Match All
Show Source
Nested Schema : objectType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : relationType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : resolution-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : statusTypeCd
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ORA_SVC_NEW", "ORA_SVC_INPROGRESS", "ORA_SVC_WAITING", "ORA_SVC_RESOLVED", "ORA_SVC_CLOSED" ]
Back to Top